org.springframework.cloud.dataflow.server.repository.support

## Class OraclePagingQueryProvider

- java.lang.Object
- - org.springframework.cloud.dataflow.server.repository.support.AbstractSqlPagingQueryProvider
  - - org.springframework.cloud.dataflow.server.repository.support.OraclePagingQueryProvider

- All Implemented Interfaces:
    PagingQueryProvider

      public class OraclePagingQueryProvider
      extends AbstractSqlPagingQueryProvider

  Oracle implementation of a `PagingQueryProvider` using database specific features.
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OraclePagingQueryProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPageQuery(org.springframework.data.domain.Pageable pageable)` Generate the query that will provide the jump to item query.

    - ### Methods inherited from class org.springframework.cloud.dataflow.server.repository.support.AbstractSqlPagingQueryProvider

      `getFromClause, getParameterCount, getSelectClause, getSortKeys, getWhereClause, init, isUsingNamedParameters, setFromClause, setSelectClause, setSortKeys, setWhereClause`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OraclePagingQueryProvider

          public OraclePagingQueryProvider()

  - ### Method Detail

    - #### getPageQuery

          public String getPageQuery(org.springframework.data.domain.Pageable pageable)

      Description copied from interface: `PagingQueryProvider`
      Generate the query that will provide the jump to item query.
      Parameters:
        `pageable` - the coordinates to pull the next page from the datasource
      Returns:
        the generated query

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.